- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_RT_Servant_Dispatcher Class Reference

Concrete instantiation of the Servant_Dispatcher strategy. More...

`#include <RT_Servant_Dispatcher.h>`

List of all members.

## Public Member Functions
virtual | ~TAO_RT_Servant_Dispatcher (void)
void | pre_invoke_remote_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO_ServerRequest &req, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Pre_invoke remote request.
void | pre_invoke_collocated_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Pre_invoke collocated request.
void | post_invoke (TAO_Root_POA &poa, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Post_invoke request.
TAO_Root_POA * | create_Root_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)
| Factory method for creating new POA's.

## Detailed Description

Concrete instantiation of the Servant_Dispatcher strategy.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_RT_Servant_Dispatcher::~TAO_RT_Servant_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_Root_POA * TAO_RT_Servant_Dispatcher::create_Root_POA | ( | const ACE_CString & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  |

Factory method for creating new POA's.

void TAO_RT_Servant_Dispatcher::post_invoke | ( | TAO_Root_POA & | poa,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  |

Post_invoke request.

void TAO_RT_Servant_Dispatcher::pre_invoke_collocated_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  |

Pre_invoke collocated request.

void TAO_RT_Servant_Dispatcher::pre_invoke_remote_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_ServerRequest & | req,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  |

Pre_invoke remote request.

Get the lane attribute in TSS.

The documentation for this class was generated from the following files:

- RT_Servant_Dispatcher.h
- RT_Servant_Dispatcher.cpp